use clap::Parser;

/// Simple program to greet a person
#[derive(Parser, Debug)]
#[clap(author, version, about, long_about = None)]
struct Arguments {
    #[clap(short, long, default_value = ".carman")]
    conf_file: String,
}

fn main() {
    let args = Arguments::parse();

    println!("Hello, world!");
    println!("{:?}", args);
}
